Last Comment Bug 386444 - using vertical scrollbar changes horizontal scroll position with overflow-x: hidden and overflow-y: scroll
: using vertical scrollbar changes horizontal scroll position with overflow-x: ...
Status: RESOLVED FIXED
: testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: x86 All
: -- normal with 1 vote (vote)
: mozilla8
Assigned To: Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
:
Mentors:
: 343254 571201 577760 (view as bug list)
Depends on:
Blocks: 343254 436650
  Show dependency treegraph
 
Reported: 2007-06-30 11:41 PDT by Mitchell Skinner
Modified: 2011-10-14 00:30 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
wanted


Attachments
test case (1.57 KB, text/html)
2007-06-30 11:42 PDT, Mitchell Skinner
no flags Details
fix (1.21 KB, patch)
2011-06-27 22:01 PDT, Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
dbaron: review+
Details | Diff | Review

Description Mitchell Skinner 2007-06-30 11:41:19 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4
Build Identifier: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4

On a div with overflow-x: hidden and overflow-y: scroll, scrolling using the (vertical) scrollbar changes the horizontal scroll position.

Interestingly, scrolling with the mouse wheel doesn't seem to affect the horizontal scroll position

Reproducible: Always

Steps to Reproduce:
1. View the attached test case
2. Try to scroll with the scroll bar
Actual Results:  
Horizontal scroll position changes

Expected Results:  
Horizontal scroll position should stay the same
Comment 1 Mitchell Skinner 2007-06-30 11:42:31 PDT
Created attachment 270433 [details]
test case
Comment 2 philippe (part-time) 2007-07-01 07:21:14 PDT
I can reproduce the problem with the latest trunk builds on OS X.
(I thought there was already a bug filed on this, but can't find it.)
Comment 3 dolphinling 2007-07-02 00:49:19 PDT
I can't find any other reports of this either
Comment 4 mystix 2010-03-08 10:14:29 PST
this bug is still unresolved in Fx 3.6.

Some form of acknowledgement from Mozilla devs would be much appreciated.

thank you.
Comment 5 Dan 2010-06-16 04:51:38 PDT
Mystix, seem like Mozilla dev 'semi' acknowledge this:

https://bugzilla.mozilla.org/show_bug.cgi?id=571201

Worried to see this bug have been pending for so many years!
Comment 6 Boris Zbarsky [:bz] 2010-06-24 08:32:12 PDT
*** Bug 571201 has been marked as a duplicate of this bug. ***
Comment 7 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2010-07-01 21:22:32 PDT
This is probably really easy to fix
Comment 8 Boris Zbarsky [:bz] 2010-07-09 16:54:59 PDT
*** Bug 577760 has been marked as a duplicate of this bug. ***
Comment 9 Dan 2011-06-27 19:21:16 PDT
Bug still not fixed and more similar reports are filled.

https://bugzilla.mozilla.org/show_bug.cgi?id=623937

https://bugzilla.mozilla.org/show_bug.cgi?id=436650
Comment 10 Dan 2011-06-27 19:54:22 PDT
(In reply to comment #7)
> This is probably really easy to fix

Any news?
Comment 11 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-06-27 22:01:32 PDT
Created attachment 542375 [details] [diff] [review]
fix

I don't know of a good way to test this. To hit this path, we have to synthesize events on the scrollbar or else set the attribute of an anonymous scrollbar directly, and I don't know how to do either of those reliably.
Comment 12 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-08-04 14:00:05 PDT
Comment on attachment 542375 [details] [diff] [review]
fix

r=dbaron
Comment 13 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-08-11 15:50:33 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/7c0489e8acaf
Comment 14 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-08-11 15:52:09 PDT
I'm not sure that bug 623937 is the same as this bug. We'll see if it's fixed by my patch.
Comment 15 Matt Brubeck (:mbrubeck) 2011-08-12 07:41:25 PDT
https://hg.mozilla.org/mozilla-central/rev/7c0489e8acaf
Comment 16 j.j. 2011-08-13 07:31:31 PDT
*** Bug 343254 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.